chasquid-util(1)

NAME
chasquid-util - chasquid management tool

SYNOPSIS
chasquid-util [options] user-add user@domain [--password=password]

chasquid-util [options] user-remove user@domain

chasquid-util [options] authenticate user@domain [--password=password]

chasquid-util [options] check-userdb domain

chasquid-util [options] aliases-resolve addr

chasquid-util [options] domaininfo-remove domain

chasquid-util [options] print-config

DESCRIPTION
chasquid-util is a command-line utility for chasquid(1) operations.

OPTIONS

user-add user@domain [--password=password]
    Add a new user to the domain.

user-remove user@domain
    Remove the user from the domain.

authenticate user@domain [--password=password]
    Check the user's password.

check-userdb domain
    Check the integrity of the domain's users database.

aliases-resolve addr
    Resolve the given address. Talks to the running chasquid instance.

domaininfo-remove domain
    Remove the domain information entry. This can be used to manually allow a security level downgrade. Talks to the running chasquid instance.

print-config
    Parse and print the configuration in a human-readable way.

-C or --configdir=<path>
    Configuration directory.

SEE ALSO
chasquid(1)